View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/pidgin
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
ubuntu/jaunty-devel 2010-02-22 16:07:38 UTC 2010-02-22
Import patches-unapplied version 1:2.5.5-1ubuntu8.6 to ubuntu/jaunty-security

Author: Marc Deslauriers
Author Date: 2010-02-18 19:37:45 UTC

Import patches-unapplied version 1:2.5.5-1ubuntu8.6 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: baf18c933dc975091bd97c3b0cfd29b6a7d66dca

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed SLP message
    - debian/patches/85_security_CVE-2010-0277.patch: validate input in
      libpurple/protocols/msn/{slp.c,slpcall.c,slplink.c,slpmsg.h}.
    - CVE-2010-0277
  * SECURITY UPDATE: denial of service via certain nicknames in Finch
    - debian/patches/86_security_CVE-2010-0420.patch: properly unescape
      text in finch/libgnt/gnttree.c, libpurple/protocols/bonjour/parser.c,
      libpurple/protocols/jabber/parser.c, libpurple/xmlnode.c.
    - CVE-2010-0420
  * SECURITY UPDATE: denial of service via large number of smileys
    - debian/patches/87_security_CVE-2010-0423.patch: limit the number of
      smileys in pidgin/gtkimhtml.c.
    - CVE-2010-0423

ubuntu/jaunty-updates 2010-02-22 16:07:38 UTC 2010-02-22
Import patches-unapplied version 1:2.5.5-1ubuntu8.6 to ubuntu/jaunty-security

Author: Marc Deslauriers
Author Date: 2010-02-18 19:37:45 UTC

Import patches-unapplied version 1:2.5.5-1ubuntu8.6 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: baf18c933dc975091bd97c3b0cfd29b6a7d66dca

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed SLP message
    - debian/patches/85_security_CVE-2010-0277.patch: validate input in
      libpurple/protocols/msn/{slp.c,slpcall.c,slplink.c,slpmsg.h}.
    - CVE-2010-0277
  * SECURITY UPDATE: denial of service via certain nicknames in Finch
    - debian/patches/86_security_CVE-2010-0420.patch: properly unescape
      text in finch/libgnt/gnttree.c, libpurple/protocols/bonjour/parser.c,
      libpurple/protocols/jabber/parser.c, libpurple/xmlnode.c.
    - CVE-2010-0420
  * SECURITY UPDATE: denial of service via large number of smileys
    - debian/patches/87_security_CVE-2010-0423.patch: limit the number of
      smileys in pidgin/gtkimhtml.c.
    - CVE-2010-0423

applied/ubuntu/intrepid-devel 2010-02-22 16:07:38 UTC 2010-02-22
Import patches-applied version 1:2.5.2-0ubuntu1.7 to applied/ubuntu/intrepid-...

Author: Marc Deslauriers
Author Date: 2010-02-18 19:45:12 UTC

Import patches-applied version 1:2.5.2-0ubuntu1.7 to applied/ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 231f17dcf0d46442759ff5b9a4fd496a8db23d67
Unapplied parent: 0bf8bebf7af7e13af7448d569ac8c70991b7ed82

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed SLP message
    - debian/patches/93_security_CVE-2010-0277.patch: validate input in
      libpurple/protocols/msn/{slp.c,slpcall.c,slplink.c,slpmsg.h}.
    - CVE-2010-0277
  * SECURITY UPDATE: denial of service via certain nicknames in Finch
    - debian/patches/93_security_CVE-2010-0420.patch: properly unescape
      text in finch/libgnt/gnttree.c, libpurple/protocols/bonjour/parser.c,
      libpurple/protocols/jabber/parser.c, libpurple/xmlnode.c.
    - CVE-2010-0420
  * SECURITY UPDATE: denial of service via large number of smileys
    - debian/patches/93_security_CVE-2010-0423.patch: limit the number of
      smileys in pidgin/gtkimhtml.c.
    - CVE-2010-0423

applied/ubuntu/intrepid-security 2010-02-22 16:07:38 UTC 2010-02-22
Import patches-applied version 1:2.5.2-0ubuntu1.7 to applied/ubuntu/intrepid-...

Author: Marc Deslauriers
Author Date: 2010-02-18 19:45:12 UTC

Import patches-applied version 1:2.5.2-0ubuntu1.7 to applied/ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 231f17dcf0d46442759ff5b9a4fd496a8db23d67
Unapplied parent: 0bf8bebf7af7e13af7448d569ac8c70991b7ed82

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed SLP message
    - debian/patches/93_security_CVE-2010-0277.patch: validate input in
      libpurple/protocols/msn/{slp.c,slpcall.c,slplink.c,slpmsg.h}.
    - CVE-2010-0277
  * SECURITY UPDATE: denial of service via certain nicknames in Finch
    - debian/patches/93_security_CVE-2010-0420.patch: properly unescape
      text in finch/libgnt/gnttree.c, libpurple/protocols/bonjour/parser.c,
      libpurple/protocols/jabber/parser.c, libpurple/xmlnode.c.
    - CVE-2010-0420
  * SECURITY UPDATE: denial of service via large number of smileys
    - debian/patches/93_security_CVE-2010-0423.patch: limit the number of
      smileys in pidgin/gtkimhtml.c.
    - CVE-2010-0423

applied/ubuntu/intrepid-updates 2010-02-22 16:07:38 UTC 2010-02-22
Import patches-applied version 1:2.5.2-0ubuntu1.7 to applied/ubuntu/intrepid-...

Author: Marc Deslauriers
Author Date: 2010-02-18 19:45:12 UTC

Import patches-applied version 1:2.5.2-0ubuntu1.7 to applied/ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 231f17dcf0d46442759ff5b9a4fd496a8db23d67
Unapplied parent: 0bf8bebf7af7e13af7448d569ac8c70991b7ed82

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed SLP message
    - debian/patches/93_security_CVE-2010-0277.patch: validate input in
      libpurple/protocols/msn/{slp.c,slpcall.c,slplink.c,slpmsg.h}.
    - CVE-2010-0277
  * SECURITY UPDATE: denial of service via certain nicknames in Finch
    - debian/patches/93_security_CVE-2010-0420.patch: properly unescape
      text in finch/libgnt/gnttree.c, libpurple/protocols/bonjour/parser.c,
      libpurple/protocols/jabber/parser.c, libpurple/xmlnode.c.
    - CVE-2010-0420
  * SECURITY UPDATE: denial of service via large number of smileys
    - debian/patches/93_security_CVE-2010-0423.patch: limit the number of
      smileys in pidgin/gtkimhtml.c.
    - CVE-2010-0423

applied/ubuntu/jaunty-devel 2010-02-22 16:07:38 UTC 2010-02-22
Import patches-applied version 1:2.5.5-1ubuntu8.6 to applied/ubuntu/jaunty-se...

Author: Marc Deslauriers
Author Date: 2010-02-18 19:37:45 UTC

Import patches-applied version 1:2.5.5-1ubuntu8.6 to applied/ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 0a14e092f425b8e9bb088fc7da25a6a5337522b1
Unapplied parent: ca715f0091a79c0fc2a4efc5b31cda2bbfaef3ca

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed SLP message
    - debian/patches/85_security_CVE-2010-0277.patch: validate input in
      libpurple/protocols/msn/{slp.c,slpcall.c,slplink.c,slpmsg.h}.
    - CVE-2010-0277
  * SECURITY UPDATE: denial of service via certain nicknames in Finch
    - debian/patches/86_security_CVE-2010-0420.patch: properly unescape
      text in finch/libgnt/gnttree.c, libpurple/protocols/bonjour/parser.c,
      libpurple/protocols/jabber/parser.c, libpurple/xmlnode.c.
    - CVE-2010-0420
  * SECURITY UPDATE: denial of service via large number of smileys
    - debian/patches/87_security_CVE-2010-0423.patch: limit the number of
      smileys in pidgin/gtkimhtml.c.
    - CVE-2010-0423

applied/ubuntu/jaunty-security 2010-02-22 16:07:38 UTC 2010-02-22
Import patches-applied version 1:2.5.5-1ubuntu8.6 to applied/ubuntu/jaunty-se...

Author: Marc Deslauriers
Author Date: 2010-02-18 19:37:45 UTC

Import patches-applied version 1:2.5.5-1ubuntu8.6 to applied/ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 0a14e092f425b8e9bb088fc7da25a6a5337522b1
Unapplied parent: ca715f0091a79c0fc2a4efc5b31cda2bbfaef3ca

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed SLP message
    - debian/patches/85_security_CVE-2010-0277.patch: validate input in
      libpurple/protocols/msn/{slp.c,slpcall.c,slplink.c,slpmsg.h}.
    - CVE-2010-0277
  * SECURITY UPDATE: denial of service via certain nicknames in Finch
    - debian/patches/86_security_CVE-2010-0420.patch: properly unescape
      text in finch/libgnt/gnttree.c, libpurple/protocols/bonjour/parser.c,
      libpurple/protocols/jabber/parser.c, libpurple/xmlnode.c.
    - CVE-2010-0420
  * SECURITY UPDATE: denial of service via large number of smileys
    - debian/patches/87_security_CVE-2010-0423.patch: limit the number of
      smileys in pidgin/gtkimhtml.c.
    - CVE-2010-0423

applied/ubuntu/jaunty-updates 2010-02-22 16:07:38 UTC 2010-02-22
Import patches-applied version 1:2.5.5-1ubuntu8.6 to applied/ubuntu/jaunty-se...

Author: Marc Deslauriers
Author Date: 2010-02-18 19:37:45 UTC

Import patches-applied version 1:2.5.5-1ubuntu8.6 to applied/ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 0a14e092f425b8e9bb088fc7da25a6a5337522b1
Unapplied parent: ca715f0091a79c0fc2a4efc5b31cda2bbfaef3ca

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed SLP message
    - debian/patches/85_security_CVE-2010-0277.patch: validate input in
      libpurple/protocols/msn/{slp.c,slpcall.c,slplink.c,slpmsg.h}.
    - CVE-2010-0277
  * SECURITY UPDATE: denial of service via certain nicknames in Finch
    - debian/patches/86_security_CVE-2010-0420.patch: properly unescape
      text in finch/libgnt/gnttree.c, libpurple/protocols/bonjour/parser.c,
      libpurple/protocols/jabber/parser.c, libpurple/xmlnode.c.
    - CVE-2010-0420
  * SECURITY UPDATE: denial of service via large number of smileys
    - debian/patches/87_security_CVE-2010-0423.patch: limit the number of
      smileys in pidgin/gtkimhtml.c.
    - CVE-2010-0423

applied/ubuntu/intrepid-proposed 2009-11-30 12:05:08 UTC 2009-11-30
Import patches-applied version 1:2.5.2-0ubuntu1.5 to applied/ubuntu/intrepid-...

Author: Philip Wyett
Author Date: 2009-11-30 11:03:02 UTC

Import patches-applied version 1:2.5.2-0ubuntu1.5 to applied/ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: c00921423bc24de7f391c04e45b0ee20eadb1928
Unapplied parent: 983d8dcbbd44fbafe3a8bfe45d83e1cb564cd335

New changelog entries:
  * Add 87_yahoo_15_fix.patch: Backport upstream changes to use version 16 of
    the Yahoo! Messenger Protocol. The old authentication mechanism was
    disabled, meaning that it can no longer be used for signing in to Yahoo!
    services (LP: #389322)

ubuntu/intrepid-proposed 2009-11-30 12:05:08 UTC 2009-11-30
Import patches-unapplied version 1:2.5.2-0ubuntu1.5 to ubuntu/intrepid-proposed

Author: Philip Wyett
Author Date: 2009-11-30 11:03:02 UTC

Import patches-unapplied version 1:2.5.2-0ubuntu1.5 to ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: e13ca73c96c5e855501fd4a1a01348a0ddc56d96

New changelog entries:
  * Add 87_yahoo_15_fix.patch: Backport upstream changes to use version 16 of
    the Yahoo! Messenger Protocol. The old authentication mechanism was
    disabled, meaning that it can no longer be used for signing in to Yahoo!
    services (LP: #389322)

ubuntu/hardy-proposed 2009-10-30 16:04:56 UTC 2009-10-30
Import patches-unapplied version 1:2.4.1-1ubuntu2.7 to ubuntu/hardy-proposed

Author: Chris Coulson
Author Date: 2009-10-30 15:02:16 UTC

Import patches-unapplied version 1:2.4.1-1ubuntu2.7 to ubuntu/hardy-proposed

Imported using git-ubuntu import.

Changelog parent: dd3cab1f8ec8d9f80893b202e9bd8f22af3337ee

New changelog entries:
  * debian/patches/86_yahoo_protocol_fix.patch:
    - Backport upstream changes to use version 16 of the Yahoo!
      Messenger Protocol. The old authentication mechanism was
      disabled, meaning that it can no longer be used for signing in
      to Yahoo! services (LP: #389322)

applied/ubuntu/hardy-proposed 2009-10-30 16:04:56 UTC 2009-10-30
Import patches-applied version 1:2.4.1-1ubuntu2.7 to applied/ubuntu/hardy-pro...

Author: Chris Coulson
Author Date: 2009-10-30 15:02:16 UTC

Import patches-applied version 1:2.4.1-1ubuntu2.7 to applied/ubuntu/hardy-proposed

Imported using git-ubuntu import.

Changelog parent: 3667e9395bc67d912c6dc13aef300f67a3e88d3b
Unapplied parent: faeb93998f5ad1ca5a3f1317d3b697a8e9f844f5

New changelog entries:
  * debian/patches/86_yahoo_protocol_fix.patch:
    - Backport upstream changes to use version 16 of the Yahoo!
      Messenger Protocol. The old authentication mechanism was
      disabled, meaning that it can no longer be used for signing in
      to Yahoo! services (LP: #389322)

applied/ubuntu/karmic 2009-10-14 19:04:42 UTC 2009-10-14
Import patches-applied version 1:2.6.2-1ubuntu7 to applied/ubuntu/karmic

Author: Felix Geyer
Author Date: 2009-10-09 17:40:26 UTC

Import patches-applied version 1:2.6.2-1ubuntu7 to applied/ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: 3a994cced28125be77ff43b04bdcb5db765d3121
Unapplied parent: f68eeb282b82c3332292fff7be9337652cd552fe

New changelog entries:
  * Don't stick the buddy list window to all desktops as some
    window managers have trouble to properly unstick it (LP: #346840)
    - debian/patches/11_buddy_list_really_show.patch
  * Always use default tray icon size on KDE (LP: #209440)
    - debian/patches/62_tray_icon_size_kde.patch
  * Use scrollbars in the preferences dialog if the screen height is
    below 700 px instead of 600 px
    - debian/patches/60_1024x600_gtkprefs.c.patch

ubuntu/karmic 2009-10-14 19:04:42 UTC 2009-10-14
Import patches-unapplied version 1:2.6.2-1ubuntu7 to ubuntu/karmic

Author: Felix Geyer
Author Date: 2009-10-09 17:40:26 UTC

Import patches-unapplied version 1:2.6.2-1ubuntu7 to ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: 0bd6442ecd0050b798c91a8719388518e3600f2a

New changelog entries:
  * Don't stick the buddy list window to all desktops as some
    window managers have trouble to properly unstick it (LP: #346840)
    - debian/patches/11_buddy_list_really_show.patch
  * Always use default tray icon size on KDE (LP: #209440)
    - debian/patches/62_tray_icon_size_kde.patch
  * Use scrollbars in the preferences dialog if the screen height is
    below 700 px instead of 600 px
    - debian/patches/60_1024x600_gtkprefs.c.patch

applied/ubuntu/hardy-backports 2009-07-03 12:05:07 UTC 2009-07-03
Import patches-applied version 1:2.5.2-0ubuntu1.2~hardy1 to applied/ubuntu/ha...

Author: Nicolas Valcarcel Scerpella
Author Date: 2009-07-03 11:16:59 UTC

Import patches-applied version 1:2.5.2-0ubuntu1.2~hardy1 to applied/ubuntu/hardy-backports

Imported using git-ubuntu import.

Changelog parent: 4b32c1bc7e2c16fb7733b46f252867bb9c429eb4
Unapplied parent: e5155f2564a0478408f820454d7a502f93b29170

New changelog entries:
  * Automated backport upload; no source changes.

ubuntu/hardy-backports 2009-07-03 12:05:07 UTC 2009-07-03
Import patches-unapplied version 1:2.5.2-0ubuntu1.2~hardy1 to ubuntu/hardy-ba...

Author: Nicolas Valcarcel Scerpella
Author Date: 2009-07-03 11:16:59 UTC

Import patches-unapplied version 1:2.5.2-0ubuntu1.2~hardy1 to ubuntu/hardy-backports

Imported using git-ubuntu import.

Changelog parent: 9b1be1b6785b61ee0f57f03685435851104b2ce7

New changelog entries:
  * Automated backport upload; no source changes.

ubuntu/jaunty-proposed 2009-06-30 09:04:56 UTC 2009-06-30
Import patches-unapplied version 1:2.5.5-1ubuntu8.2 to ubuntu/jaunty-proposed

Author: Iain Lane
Author Date: 2009-06-25 12:27:48 UTC

Import patches-unapplied version 1:2.5.5-1ubuntu8.2 to ubuntu/jaunty-proposed

Imported using git-ubuntu import.

Changelog parent: 589abef10b6014706971c8610e03cc466e82d7a2

New changelog entries:
  * debian/patches/50_yahoo_16_auth.patch: Add patch backported from upstream
    version 2.5.7 to fix connection problems connection to Yahoo! instant
    messenger. Previous versions of pidgin were using an old authentication
    method which was disabled by Yahoo!. This patch switches to using the new
    authentication method, version 16. (LP: #389322) References:
    - http://theflamingbanker.blogspot.com/2009/06/some-clarification-on-yahoo-issues.html
    - http://developer.pidgin.im/ticket/8853

applied/ubuntu/jaunty-proposed 2009-06-30 09:04:56 UTC 2009-06-30
Import patches-applied version 1:2.5.5-1ubuntu8.2 to applied/ubuntu/jaunty-pr...

Author: Iain Lane
Author Date: 2009-06-25 12:27:48 UTC

Import patches-applied version 1:2.5.5-1ubuntu8.2 to applied/ubuntu/jaunty-proposed

Imported using git-ubuntu import.

Changelog parent: 0d38a3bb2ca607aaa4dffe0f7c8ff9f76adbb4fd
Unapplied parent: ccb89420dae9b8431b2706812820739139d54116

New changelog entries:
  * debian/patches/50_yahoo_16_auth.patch: Add patch backported from upstream
    version 2.5.7 to fix connection problems connection to Yahoo! instant
    messenger. Previous versions of pidgin were using an old authentication
    method which was disabled by Yahoo!. This patch switches to using the new
    authentication method, version 16. (LP: #389322) References:
    - http://theflamingbanker.blogspot.com/2009/06/some-clarification-on-yahoo-issues.html
    - http://developer.pidgin.im/ticket/8853

ubuntu/jaunty 2009-04-09 17:04:23 UTC 2009-04-09
Import patches-unapplied version 1:2.5.5-1ubuntu8 to ubuntu/jaunty

Author: Sebastien Bacher
Author Date: 2009-04-09 16:12:03 UTC

Import patches-unapplied version 1:2.5.5-1ubuntu8 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 9e5839f501a973346d1a594d5e89be7e0ac34115

New changelog entries:
  * debian/patches/72_upstream_change_fix_jabber_crasher.patch:
    - upstream change to fix crash on jabber when using a custom image
      (lp: #357949)

applied/ubuntu/jaunty 2009-04-09 17:04:23 UTC 2009-04-09
Import patches-applied version 1:2.5.5-1ubuntu8 to applied/ubuntu/jaunty

Author: Sebastien Bacher
Author Date: 2009-04-09 16:12:03 UTC

Import patches-applied version 1:2.5.5-1ubuntu8 to applied/ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 2a495e172dde05da137fa19bda1815ea1d0e2341
Unapplied parent: 6084ad29890de7051ab80fcfd64c620d75528ca0

New changelog entries:
  * debian/patches/72_upstream_change_fix_jabber_crasher.patch:
    - upstream change to fix crash on jabber when using a custom image
      (lp: #357949)

ubuntu/gutsy-proposed 2009-03-10 21:07:19 UTC 2009-03-10
Import patches-unapplied version 1:2.2.1-1ubuntu4.4 to ubuntu/gutsy-proposed

Author: Martin Pitt
Author Date: 2009-03-10 19:47:37 UTC

Import patches-unapplied version 1:2.2.1-1ubuntu4.4 to ubuntu/gutsy-proposed

Imported using git-ubuntu import.

Changelog parent: 2f37ca072409bdf529eb43d72f188dcc00cebe3e

New changelog entries:
  * Add 80_fix_ICQ_new_protocol.patch: Backport upstream patch to fix
    connection with new ICQ protocol. (LP: #340151)

applied/ubuntu/gutsy-updates 2009-03-10 21:07:19 UTC 2009-03-10
Import patches-applied version 1:2.2.1-1ubuntu4.4 to applied/ubuntu/gutsy-pro...

Author: Martin Pitt
Author Date: 2009-03-10 19:47:37 UTC

Import patches-applied version 1:2.2.1-1ubuntu4.4 to applied/ubuntu/gutsy-proposed

Imported using git-ubuntu import.

Changelog parent: afc09a0ea4973d6d33424bd2e7a61bcafaf87db6
Unapplied parent: 9ae6a51008f7854922cb74b5ae759bdc1db21753

New changelog entries:
  * Add 80_fix_ICQ_new_protocol.patch: Backport upstream patch to fix
    connection with new ICQ protocol. (LP: #340151)

applied/ubuntu/gutsy-proposed 2009-03-10 21:07:19 UTC 2009-03-10
Import patches-applied version 1:2.2.1-1ubuntu4.4 to applied/ubuntu/gutsy-pro...

Author: Martin Pitt
Author Date: 2009-03-10 19:47:37 UTC

Import patches-applied version 1:2.2.1-1ubuntu4.4 to applied/ubuntu/gutsy-proposed

Imported using git-ubuntu import.

Changelog parent: afc09a0ea4973d6d33424bd2e7a61bcafaf87db6
Unapplied parent: 9ae6a51008f7854922cb74b5ae759bdc1db21753

New changelog entries:
  * Add 80_fix_ICQ_new_protocol.patch: Backport upstream patch to fix
    connection with new ICQ protocol. (LP: #340151)

ubuntu/gutsy-updates 2009-03-10 21:07:19 UTC 2009-03-10
Import patches-unapplied version 1:2.2.1-1ubuntu4.4 to ubuntu/gutsy-proposed

Author: Martin Pitt
Author Date: 2009-03-10 19:47:37 UTC

Import patches-unapplied version 1:2.2.1-1ubuntu4.4 to ubuntu/gutsy-proposed

Imported using git-ubuntu import.

Changelog parent: 2f37ca072409bdf529eb43d72f188dcc00cebe3e

New changelog entries:
  * Add 80_fix_ICQ_new_protocol.patch: Backport upstream patch to fix
    connection with new ICQ protocol. (LP: #340151)

applied/ubuntu/gutsy-devel 2009-03-10 21:07:19 UTC 2009-03-10
Import patches-applied version 1:2.2.1-1ubuntu4.4 to applied/ubuntu/gutsy-pro...

Author: Martin Pitt
Author Date: 2009-03-10 19:47:37 UTC

Import patches-applied version 1:2.2.1-1ubuntu4.4 to applied/ubuntu/gutsy-proposed

Imported using git-ubuntu import.

Changelog parent: afc09a0ea4973d6d33424bd2e7a61bcafaf87db6
Unapplied parent: 9ae6a51008f7854922cb74b5ae759bdc1db21753

New changelog entries:
  * Add 80_fix_ICQ_new_protocol.patch: Backport upstream patch to fix
    connection with new ICQ protocol. (LP: #340151)

ubuntu/gutsy-devel 2009-03-10 21:07:19 UTC 2009-03-10
Import patches-unapplied version 1:2.2.1-1ubuntu4.4 to ubuntu/gutsy-proposed

Author: Martin Pitt
Author Date: 2009-03-10 19:47:37 UTC

Import patches-unapplied version 1:2.2.1-1ubuntu4.4 to ubuntu/gutsy-proposed

Imported using git-ubuntu import.

Changelog parent: 2f37ca072409bdf529eb43d72f188dcc00cebe3e

New changelog entries:
  * Add 80_fix_ICQ_new_protocol.patch: Backport upstream patch to fix
    connection with new ICQ protocol. (LP: #340151)

applied/ubuntu/gutsy-security 2008-11-24 16:04:10 UTC 2008-11-24
Import patches-applied version 1:2.2.1-1ubuntu4.3 to applied/ubuntu/gutsy-sec...

Author: Marc Deslauriers
Author Date: 2008-11-20 20:54:34 UTC

Import patches-applied version 1:2.2.1-1ubuntu4.3 to applied/ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 9afe182d0c2725dcd549ee3be88dcc12714a9ec5
Unapplied parent: 2f37ca072409bdf529eb43d72f188dcc00cebe3e

New changelog entries:
  * SECURITY UPDATE: code execution via integer overflow in the MSN protocol
    handler (LP: #245770)
    - debian/patches/99_SECURITY_CVE-2008-2927.patch: fix
      msn_slplink_process_msg() in src/protocols/msn/slplink.c by checking
      against maximum size G_MAXSIZE.
    - CVE-2008-2927
  * SECURITY UPDATE: denial of service via specially formulated long
    filename (LP: #245769)
    - debian/patches/99_SECURITY_CVE-2008-2955.patch: change
      src/protocols/msn/[slplink.c,slpcall.*] to make sure xfer structure still
      exists before putting dest_fp in it.
    - CVE-2008-2955
  * SECURITY UPDATE: denial of service via resource exhaustion from arbitrary
    URL in UPnP functionality (LP: #245769)
    - debian/patches/99_SECURITY_CVE-2008-2957.patch: modified
      libpurple/[upnp.c,util.*] to add purple_util_fetch_url_request_len() in
      order to limit http downloads to 128k.
    - CVE-2008-2957
  * SECURITY UPDATE: man in the middle attack from lack of certificate
    validation in nss plugin (LP: #251304)
    - debian/patches/99_SECURITY_CVE-2008-3532.patch: modified
      libpurple/plugins/ssl/ssl-nss.c to add certificate validation code.
    - CVE-2008-3532

ubuntu/gutsy-security 2008-11-24 16:04:10 UTC 2008-11-24
Import patches-unapplied version 1:2.2.1-1ubuntu4.3 to ubuntu/gutsy-security

Author: Marc Deslauriers
Author Date: 2008-11-20 20:54:34 UTC

Import patches-unapplied version 1:2.2.1-1ubuntu4.3 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 2abaf7b75e3f3275f77111ac1e9f84e06b2dd34d

New changelog entries:
  * SECURITY UPDATE: code execution via integer overflow in the MSN protocol
    handler (LP: #245770)
    - debian/patches/99_SECURITY_CVE-2008-2927.patch: fix
      msn_slplink_process_msg() in src/protocols/msn/slplink.c by checking
      against maximum size G_MAXSIZE.
    - CVE-2008-2927
  * SECURITY UPDATE: denial of service via specially formulated long
    filename (LP: #245769)
    - debian/patches/99_SECURITY_CVE-2008-2955.patch: change
      src/protocols/msn/[slplink.c,slpcall.*] to make sure xfer structure still
      exists before putting dest_fp in it.
    - CVE-2008-2955
  * SECURITY UPDATE: denial of service via resource exhaustion from arbitrary
    URL in UPnP functionality (LP: #245769)
    - debian/patches/99_SECURITY_CVE-2008-2957.patch: modified
      libpurple/[upnp.c,util.*] to add purple_util_fetch_url_request_len() in
      order to limit http downloads to 128k.
    - CVE-2008-2957
  * SECURITY UPDATE: man in the middle attack from lack of certificate
    validation in nss plugin (LP: #251304)
    - debian/patches/99_SECURITY_CVE-2008-3532.patch: modified
      libpurple/plugins/ssl/ssl-nss.c to add certificate validation code.
    - CVE-2008-3532

applied/ubuntu/intrepid 2008-10-24 07:05:00 UTC 2008-10-24
Import patches-applied version 1:2.5.2-0ubuntu1 to applied/ubuntu/intrepid

Author: Sebastien Bacher
Author Date: 2008-10-22 19:51:41 UTC

Import patches-applied version 1:2.5.2-0ubuntu1 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: d4bd8338298b9c564e861147f46ba01b0a5970ba
Unapplied parent: a9300a8067792030cedbb6ebcaa2683afb57d59a

New changelog entries:
  * New upstream version
  * debian/patches/06_ssl_null_pointer_deref.patch:
    - the change is in the new version

ubuntu/intrepid 2008-10-24 07:05:00 UTC 2008-10-24
Import patches-unapplied version 1:2.5.2-0ubuntu1 to ubuntu/intrepid

Author: Sebastien Bacher
Author Date: 2008-10-22 19:51:41 UTC

Import patches-unapplied version 1:2.5.2-0ubuntu1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 5f7b4281acf1050d13262b89504f7fda7737d84c

New changelog entries:
  * New upstream version
  * debian/patches/06_ssl_null_pointer_deref.patch:
    - the change is in the new version

ubuntu/hardy 2008-04-09 21:04:39 UTC 2008-04-09
Import patches-unapplied version 1:2.4.1-1ubuntu2 to ubuntu/hardy

Author: Sebastien Bacher
Author Date: 2008-04-09 20:29:03 UTC

Import patches-unapplied version 1:2.4.1-1ubuntu2 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 3cc61c90a1f7ce5760b68a983d75108152d1b19c

New changelog entries:
  * rebuild due to liblaunchpad-integration soname change

applied/ubuntu/hardy 2008-04-09 21:04:39 UTC 2008-04-09
Import patches-applied version 1:2.4.1-1ubuntu2 to applied/ubuntu/hardy

Author: Sebastien Bacher
Author Date: 2008-04-09 20:29:03 UTC

Import patches-applied version 1:2.4.1-1ubuntu2 to applied/ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 5d81799618d46ab7d1d3f384ae5f78c9f4133ec8
Unapplied parent: eebeca352a16e1bfd9d3736d37b8a5231abf43a2

New changelog entries:
  * rebuild due to liblaunchpad-integration soname change

applied/ubuntu/gutsy 2007-10-12 18:04:17 UTC 2007-10-12
Import patches-applied version 1:2.2.1-1ubuntu4 to applied/ubuntu/gutsy

Author: Sebastien Bacher
Author Date: 2007-10-10 10:18:06 UTC

Import patches-applied version 1:2.2.1-1ubuntu4 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 93134a653a5b01ecb288778dbb29e209324e646b
Unapplied parent: 7cda5891c40bff3e7cfc723608f96b76e724b3b7

New changelog entries:
  * debian/patches/80_from_upstream_fix_irc_formatting_issue.patch:
    - patch from upstream, fix an IRC formatting issue
      (LP: #141201)

ubuntu/gutsy 2007-10-12 18:04:17 UTC 2007-10-12
Import patches-unapplied version 1:2.2.1-1ubuntu4 to ubuntu/gutsy

Author: Sebastien Bacher
Author Date: 2007-10-10 10:18:06 UTC

Import patches-unapplied version 1:2.2.1-1ubuntu4 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 986b01f62d3a1637b82674f70077b7e66c8f68ef

New changelog entries:
  * debian/patches/80_from_upstream_fix_irc_formatting_issue.patch:
    - patch from upstream, fix an IRC formatting issue
      (LP: #141201)

201234 of 234 results

Other repositories

Name Last Modified
lp:ubuntu/+source/pidgin 2019-05-23
11 of 1 result
You can't create new repositories for pidgin in Ubuntu.